Unit tagt3c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFG3C_p, AGT3C_p;

function tagt3c: String;

implementation

function tagt3c: String;
var
J,I,N,M,K,IERR :Integer;
//V :Real;
V :Array [0..8] of Complex; //   / AFG3C
ALFA :Array [0..2] of Complex;
BETA :Array [0..2] of Complex;
LAMBDA :Array [0..2] of Complex;
const
A :Array [0..8] of Complex = ( ( re:1.0; im:0.0 ),( re:-10.0; im:0.0 ),(
re:5.0; im:0.0 ),( re:0.5; im:0.0 ),( re:2.0;
im:0.0 ),( re:1.0; im:0.0 ),( re:0.0; im:0.0 ),(
re:0.0; im:0.0 ),( re:0.5; im: 0.0 ) );
B :Array [0..8] of Complex = ( ( re:0.5; im:0.0 ),( re:3.0; im:0.0 ),( re:4.0;
im:0.0 ),( re:0.0; im:0.0 ),( re:3.0; im:0.0 ),( 
re:0.5; im:0.0 ),( re:0.0; im:0.0 ),( re:0.0; 
im:0.0 ),( re:1.0; im: 0.0 ) );
label
_11,_10;
begin
Result := '';  {   }
Result := Result + Format('%s',
 [' OPEEEHE COCTBEHHX HAEH ' + #$0D#$0A +
 ' YPABHEH BA:AX=LAMBDA*BX, E A - KOMEKCHA BEPXH' + #$0D#$0A +
 ' OT TPEYOHA MATPA,' + #$0D#$0A +
 ' B - KOMEKCHA BEPXHETPEYOHA MATPA']) + #$0D#$0A;
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [A[(I-1)+(J-1)*3].re,A[(I-1)+(J-1)*3].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' B' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [B[(I-1)+(J-1)*3].re,B[(I-1)+(J-1)*3].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 3;
M := 1;
AFG3C(A,B,V,N,M);
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [A[(I-1)+(J-1)*3].re,A[(I-1)+(J-1)*3].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' B' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [B[(I-1)+(J-1)*3].re,B[(I-1)+(J-1)*3].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
AGT3C(A,B,ALFA,BETA,N,IERR);
Result := Result + Format('%s',[' PEYTAT' + #$0D#$0A]) + #$0D#$0A; 
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [A[(I-1)+(J-1)*3].re,A[(I-1)+(J-1)*3].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' B' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f %20.16f ',
 [B[(I-1)+(J-1)*3].re,B[(I-1)+(J-1)*3].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' ALFA' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [ALFA[I-1].re,ALFA[I-1].im]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' BETA' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [BETA[I-1].re,BETA[I-1].im]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR' + #$0D#$0A]);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
for K:=1 to 3 do
 begin
  if ( Creal(BETA[K-1]) = 0.0 ) 
   then goto _11;
  LAMBDA[K-1] := DivC(ALFA[K-1],BETA[K-1]);
  goto _10;
_11:
  LAMBDA[K-1] := Cmplx(3.4E38,3.4E38);
_10:
 end;
Result := Result + Format('%s',[' LAMBDA=ALFA/BETA' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [LAMBDA[I-1].re,LAMBDA[I-1].im]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tagt3c',Result);  {     tagt3c.res }
exit;
end;

end.
